#include <exec/types.h>
#include <exec/libraries.h>

#include <libraries/locale.h>
#include <clib/locale_protos.h>

#define CATCOMP_BLOCK

#include <CrashTick_strings.h>

extern struct Library *LocaleBase;
extern struct Catalog *catalog;

unsigned char *getString(ULONG MsgID)
{
LONG   *l;
UWORD  *w;
char *builtIn;

   l = (LONG *)CatCompBlock;

   while (*l != MsgID )
   {
           w = (UWORD *)((ULONG)l + 4);
           l = (LONG *)((ULONG)l + (ULONG)*w + 6);
   }
   builtIn = (char *)((ULONG)l + 6);
   if (LocaleBase)
           return (GetCatalogStr(catalog, MsgID, builtIn));
   return(builtIn);
}
