#include <shared/typedefs.h>
#include <shared/node4d.h>
#include <dos/dos.h>

#define STATS_IDENTIFIER      "CTS1"

struct DiskAreaStats
{
   uchar Tagname[80];
   struct Node4D Aka;

   uchar Group;
   uchar fill_to_make_even; /* Just ignore this one */

   ulong TotalFiles;
   ulong TotalBytes;
   ulong Last8DaysFiles[8];
   ulong Last8DaysBytes[8];

   struct DateStamp FirstTime;
   ulong LastDay;
};

struct DiskNodeStats
{
   struct Node4D Node;
   ulong SentFiles;
   ulong SentBytes;
   ulong GotFiles;
   ulong GotBytes;
   ulong FirstDay;
};
