#include <exec/types.h>
#include <libraries/locale.h>

#define CATCOMP_NUMBERS
#include <ctshared/crashtick_strings.h>

#include <shared/typedefs.h>
#include <ctshared/ctconfig.h>

#include "logwrite.h"

#define VERSION "1.2"

#define TID_VERSION "1.2"

#define VERSION_MAJOR   1
#define VERSION_MINOR   2

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

short Raid(uchar *file);
short Tick(void);
short Maint(void);
short Hatch(uchar *filename,uchar *areaname,uchar *desc,uchar *replace,uchar *magic);

#define SENDLIST_FULL      1
#define SENDLIST_QUERY     2
#define SENDLIST_UNLINKED  3
#define SENDLIST_INFO      4
#define SENDLIST_HELP      5

BOOL SendAFList(short type,UBYTE *node);

void CleanUp(short err);

short WriteTick(struct jbList *tick,struct Area *area,uchar *filename);

uchar *getString(ulong msgid);

struct TickLine
{
   struct TickLine *Next;
   ulong num;
   uchar line[200];
};

void PrepareTickHatch(void);

#include <crashtick/packet.h>
#include <crashtick/dolater.h>
#include <crashtick/stats.h>
#include <crashtick/announce.h>
