#include <exec/types.h>
#include <exec/memory.h>
#include <exec/execbase.h>
#include <dos/dos.h>
#include <dos/dostags.h>
#include <intuition/intuition.h>
#include <intuition/sghooks.h>
#include <libraries/locale.h>
#include <libraries/gadtools.h>
#include <libraries/gtlayout.h>
#include <libraries/reqtools.h>
#include <libraries/amigaguide.h>
#include <utility/utility.h>
#include <workbench/workbench.h>
#include <workbench/startup.h>

#include <clib/dos_protos.h>
#include <clib/exec_protos.h>
#include <clib/alib_protos.h>
#include <clib/reqtools_protos.h>
#include <clib/locale_protos.h>
#include <clib/intuition_protos.h>
#include <clib/icon_protos.h>
#include <clib/amigaguide_protos.h>
#include <clib/gadtools_protos.h>
#include <clib/utility_protos.h>
#include <clib/wb_protos.h>

#include <shared/typedefs.h>
#include <shared/jblist.h>
#include <shared/mystdlib.h>

#define CATCOMP_NUMBERS
#include <ctshared/crashtick_strings.h>
#undef CATCOMP_NUMBERS

uchar *getString(ulong msgid);

#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <stdio.h>

void CleanUp(int err);

#define VERSION      "1.0"
#define COPYRIGHT    "1997"

#define HELP_CRASHTICKHATCH     0

extern struct Hook StrEditHookNext;
extern struct Hook LocaleHook;

__asm __saveds ULONG HelpHookEntry(register __a0 struct Hook *hook,register __a2 struct HelpMsg *helpmsg,register __a1 struct IBox *ibox);

#define RAWKEY_TAB          66

struct Area
{
   struct Node Node;
   uchar Name[80];
};

#define getgadgetstring(g) ((struct StringInfo *)(g)->SpecialInfo)->Buffer
#define getgadgetvalue(g)  ((struct StringInfo *)(g)->SpecialInfo)->LongInt
