#include <exec/types.h>
#include <exec/memory.h>
#include <exec/execbase.h>
#include <dos/dos.h>
#include <intuition/intuition.h>
#include <intuition/sghooks.h>
#include <libraries/locale.h>
#include <libraries/gadtools.h>
#include <libraries/gtlayout.h>
#include <libraries/reqtools.h>
#include <libraries/amigaguide.h>
#include <utility/utility.h>
#include <workbench/workbench.h>
#include <workbench/startup.h>

#include <clib/dos_protos.h>
#include <clib/exec_protos.h>
#include <clib/alib_protos.h>
#include <clib/reqtools_protos.h>
#include <clib/locale_protos.h>
#include <clib/intuition_protos.h>
#include <clib/icon_protos.h>
#include <clib/amigaguide_protos.h>
#include <clib/gadtools_protos.h>
#include <clib/utility_protos.h>

#include <shared/typedefs.h>
#include <shared/node4d.h>
#include <shared/jblist.h>
#include <shared/mystdlib.h>

#include <ctshared/ctconfig.h>

#define CATCOMP_NUMBERS
#include <ctshared/crashtick_strings.h>
#undef CATCOMP_NUMBERS

uchar *getString(ulong msgid);

#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <stdio.h>

#include <misc.h>
#include <lists.h>

void CleanUp(int err);

#define VERSION      "1.2"
#define COPYRIGHT    "1996-1997"

#define HELP_MAIN         0
#define HELP_GENERAL      1
#define HELP_COMMANDS     2
#define HELP_PATHS        3
#define HELP_OPTIONS      4
#define HELP_GROUPS       5
#define HELP_AKAS         6
#define HELP_NODES        7
#define HELP_AREAS        8
#define HELP_ANNOUNCE     9
#define HELP_CHANGE       10

extern struct LayoutHandle *parthandle;
extern struct Window *partwin;

extern struct Hook StrEditHookNext;
extern struct Hook StrEditHook;
extern struct Hook LocaleHook;

__asm __saveds ULONG HelpHookEntry(register __a0 struct Hook *hook,register __a2 struct HelpMsg *helpmsg,register __a1 struct IBox *ibox);

extern struct Config config;
extern struct Config config2;

extern struct Window *mainwin;
extern struct Screen *scr;

extern struct Library *GTLayoutBase;

#define RAWKEY_TAB          66

struct TempNode
{
   struct Node Node;
   UBYTE buf[200];
   APTR UserData;
   ulong num;
};

#define getgadgetstring(g) ((struct StringInfo *)(g)->SpecialInfo)->Buffer
#define getgadgetvalue(g)  ((struct StringInfo *)(g)->SpecialInfo)->LongInt
