#include <exec/types.h>
#include <exec/libraries.h>

#include <libraries/locale.h>
#include <clib/locale_protos.h>

#define CATCOMP_STRINGS

#include <ctshared/CrashTick_strings.h>
#include <CrashTickPrefs_block.h>

extern struct Library *LocaleBase;
extern struct Catalog *catalog;

#include <clib/dos_protos.h>

__saveds unsigned char *getString(ULONG MsgID)
{
LONG   *l;
UWORD  *w;
char *builtIn;

   l = (LONG *)jbCatCompBlock;

   while (*l != MsgID && *l !=0xffffffff)
   {
      w = (UWORD *)((ULONG)l + 4);
      l = (LONG *)((ULONG)l + (ULONG)*w + 6);
   }

   builtIn = (char *)((ULONG)l + 6);

   if (LocaleBase)
           return (GetCatalogStr(catalog, MsgID, builtIn));

   return(builtIn);
}
