#ifndef __JBLIST_H__
#define __JBLIST_H__

struct jbList
{
   struct jbNode *First;
   struct jbNode *Last;
};

struct jbNode
{
   struct jbNode *Next;
};


/* Prototypes */

void jbNewList(struct jbList *list);
void jbAddNode(struct jbList *list, struct jbNode *node);
void jbFreeList(struct jbList *list,ulong nodesize);
void jbFreePartList(struct jbList *list,struct jbNode *firstnode,ulong nodesize);
void jbFreeNum(struct jbList *list,unsigned long num,ulong nodesize);
void jbFreeNode(struct jbList *list,struct jbNode *node,ulong nodesize);
void jbInsertNode(struct jbList *list,struct jbNode *node,struct jbNode *newnode);

#endif
